Doomsday Engine - Feature #2122

Autodetect games installed from GOG.com
2015-10-28 14:12 - vermil

Status: Closed Start date: 2015-10-28
Priority: Normal % Done: 100%
Assignee: skyjake

Category: Enhancement

Target version: 2.0 — Home Ul & Packages

Description

As Doom has been released on GOG, it might be cool if Dday could auto locate it as it does with Steam installs of Doom?
Some information about detecting it.

https://www.doomworld.com/vb/source-ports/74378-detecting-gog-com-iwads/

Associated revisions

Revision eb5ba5cb - 2016-11-20 19:28 - skyjake
Resources|libdoomsday: Autodetect GOG.com IWAD folders

IssuelD #2122

Revision 32fb35cf - 2016-11-20 20:06 - skyjake

Resources|Client: Improved GOG.com path detection

IssuelD #2122

History

#1 - 2015-10-28 14:12 - vermil

- Tracker changed from Bug to Feature

#2 - 2015-11-03 09:12 - skyjake
- Priority changed from Normal to High

#3 - 2016-05-13 13:55 - skyjake
- Priority changed from High to Normal

#4 - 2016-08-07 10:19 - skyjake

- Assignee set to skyjake

#5 - 2016-11-20 19:07 - skyjake
- Tags set to Resources, Doom
- Category set to Enhancement

- Status changed from New to In Progress

#6 - 2016-11-20 20:07 - skyjake
- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

Tested with the latest GOG Galaxy installer beta and Ultimate DOOM.

#7 - 2016-11-20 20:09 - skyjake

- Subject changed from GOG version auto detection to Autodetect games installed from GOG.com

#8 - 2016-11-22 19:59 - skyjake
https://www.doomworld.com/vb/source-ports/74378-detecting-gog-com-iwads/

- Status changed from Resolved to Closed
